Bug 993388 - devices behind an i82801b11-bridge are ignored
devices behind an i82801b11-bridge are ignored
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks: 819968 841379
  Show dependency treegraph
 
Reported: 2013-08-05 16:33 EDT by Laine Stump
Modified: 2014-06-18 08:24 EDT (History)
9 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:39:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproduce-bug-screenshot (17.56 KB, image/png)
2013-12-13 05:16 EST, Jun Li
no flags Details

  None (edit)
Description Laine Stump 2013-08-05 16:33:21 EDT
When an i82801b11-bridge is added to a q35 virtual machine, and devices are placed behind it (e.g. virtio disks, but it's true for anything), those devices are not seen by the guest OS.

This was discovered as a part of testing libvirt patches to support q35, and Gerd Hoffman diagnosed the root cause and has already posted a patch to the qemu-devel mailing list:

  https://www.redhat.com/archives/libvir-list/2013-August/msg00165.html
  http://lists.nongnu.org/archive/html/qemu-devel/2013-08/msg00367.html

I am refraining from pushing the workaround patch to libvirt, anticipating that this patch will be pushed to upstream and RHEL7 qemu, so without this patch, q35 machinetypes created by libvirt will not be able to boot.
Comment 1 Gerd Hoffmann 2013-08-30 04:12:53 EDT
Fix merged in upstream qemu 1.5.3.
Comment 4 Jun Li 2013-12-13 05:15:26 EST
Reproduce:
Version-Release number of selected component (if applicable):
qemu-kvm-1.5.1-2.el7.x86_64

<cli>:
# /usr/libexec/qemu-kvm -M q35 -cpu host -enable-kvm -m 4G -smp 4,sockets=2,cores=2,threads=1 -device virtio-scsi-pci,bus=pcie.0,addr=0x5,id=scsi0 -drive file=/home/juli/RHEL-7.0-20131127.1.qcow2,if=none,id=drive-scsi0-0-0,media=disk,cache=none,format=qcow2,werror=stop,rerror=stop,aio=native -device scsi-hd,drive=drive-scsi0-0-0,bus=scsi0.0,scsi-id=0,lun=0,id=juli,bootindex=1  -device ioh3420,bus=pcie.0,id=root.0 -device i82801b11-bridge,bus=root.0,id=bridge1 -device ich9-usb-uhci1,id=usb1,bus=bridge1,addr=0x1 -drive file=/home/juli/data_disk.qcow2_v3,if=none,id=drive-virtio-disk1,format=qcow2,cache=none,werror=stop,rerror=stop,aio=native -device virtio-blk-pci,scsi=on,bus=bridge1,addr=0x6,drive=drive-virtio-disk1,id=virtio-disk1  -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mq=on,vectors=17,id=net0,mac=00:1a:4a:42:0b:38,bus=pcie.0 -spice port=5932,disable-ticketing -k en-us -vga qxl -global qxl-vga.vram_size=67108864 -monitor stdio -device virtio-balloon-pci,id=ballooning -qmp tcp:0:4445,server,nowait -global pvpanic.ioport=0x0505
----
(qemu) info status 
VM status: paused (guest-panicked)
---
Guest can not boot. The attachment is the screenshot of guest.
-----------------------------------
Verify this bug:
Version-Release number of selected component (if applicable):
qemu-kvm-1.5.3-21.el7.x86_64
---
<cli>:
# /usr/libexec/qemu-kvm -M q35 -cpu host -enable-kvm -m 4G -smp 4,sockets=2,cores=2,threads=1 -device virtio-scsi-pci,bus=pcie.0,addr=0x5,id=scsi0 -drive file=/home/juli/RHEL-7.0-20131127.1.qcow2,if=none,id=drive-scsi0-0-0,media=disk,cache=none,format=qcow2,werror=stop,rerror=stop,aio=native -device scsi-hd,drive=drive-scsi0-0-0,bus=scsi0.0,scsi-id=0,lun=0,id=juli,bootindex=1  -device ioh3420,bus=pcie.0,id=root.0 -device i82801b11-bridge,bus=root.0,id=bridge1 -device ich9-usb-uhci1,id=usb1,bus=bridge1,addr=0x1 -drive file=/home/juli/data_disk.qcow2_v3,if=none,id=drive-virtio-disk1,format=qcow2,cache=none,werror=stop,rerror=stop,aio=native -device virtio-blk-pci,scsi=on,bus=bridge1,addr=0x6,drive=drive-virtio-disk1,id=virtio-disk1  -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mq=on,vectors=17,id=net0,mac=00:1a:4a:42:0b:38,bus=pcie.0 -spice port=5932,disable-ticketing -k en-us -vga qxl -global qxl-vga.vram_size=67108864 -monitor stdio -device virtio-balloon-pci,id=ballooning -qmp tcp:0:4445,server,nowait -global pvpanic.ioport=0x0505
---
# lspci
01:00.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 92)
02:01.0 USB controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
02:06.0 SCSI storage controller: Red Hat, Inc Virtio block device
-------------------
As the above result, can find USB controller and Virtio block device in the guest. So this bug has been verified.
Comment 5 Jun Li 2013-12-13 05:16:35 EST
Created attachment 836273 [details]
reproduce-bug-screenshot
Comment 7 Ludek Smid 2014-06-13 07:39:08 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.